# slDOMSet

## ExtensionsPrototype. slDOMSet

#### new slDOMSet(cssSelectoropt)

Source:
  - dictionary.d.js, line 345

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`cssSelector` | string | <optional> |

### Methods

#### (static) add() → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 381

##### Parameters:

Name | Type | Description
--- | --- | ---
`...v` | NodeList | any | array of Nodes or HTMLElements

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### (static) attr(attribute) → {string}

Source:
  - dictionary.d.js, line 467

##### Parameters:

Name | Type | Description
--- | --- | ---
`attribute` | string |

##### Returns:

Type
  string

#### (static) attr(attribute, value) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 473

##### Parameters:

Name | Type | Description
--- | --- | ---
`attribute` | string |
`value` | any |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### (static) attr() → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 480

##### Parameters:

Name | Type | Description
--- | --- | ---
`...attr_value` | any |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### (static) attr() → {external:NamedNodeMap}

Source:
  - dictionary.d.js, line 462

##### Returns:

Type
  external:NamedNodeMap

#### (static) config(key, value) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 351

##### Parameters:

Name | Type | Description
--- | --- | ---
`key` | string |
`value` | any |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### (static) config(key) → {any}

Source:
  - dictionary.d.js, line 358

##### Parameters:

Name | Type | Description
--- | --- | ---
`key` | string |

##### Returns:

Type
  any

#### (static) each(filterCallback) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 449

##### Parameters:

Name | Type | Description
--- | --- | ---
`filterCallback` | ExtensionsPrototype.slDOMSet.itemHandler |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### (static) env() → {ExtensionsPrototype.slDOM_env}

Source:
  - dictionary.d.js, line 387

##### Returns:

Type
  ExtensionsPrototype.slDOM_env

#### (static) eq(index) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 403

##### Parameters:

Name | Type | Description
--- | --- | ---
`index` | number |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### (static) filter(filterCallback) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 443

##### Parameters:

Name | Type | Description
--- | --- | ---
`filterCallback` | ExtensionsPrototype.slDOMSet.itemHandlerFilter |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### (static) find(cssSelector) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 409

##### Parameters:

Name | Type | Description
--- | --- | ---
`cssSelector` | string |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### (static) get(index) → {Node}

Source:
  - dictionary.d.js, line 397

##### Parameters:

Name | Type | Description
--- | --- | ---
`index` | number |

##### Returns:

Type
  Node

#### (static) get() → {Array.<Node>}

Source:
  - dictionary.d.js, line 392

##### Returns:

Type
  Array.<Node>

#### (static) map(filterCallback) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 455

##### Parameters:

Name | Type | Description
--- | --- | ---
`filterCallback` | ExtensionsPrototype.slDOMSet.itemHandlerMap |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### (static) set(v) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 369

##### Parameters:

Name | Type | Description
--- | --- | ---
`v` | string | css selector applied over document

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### (static) set(v) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 375

##### Parameters:

Name | Type | Description
--- | --- | ---
`v` | NodeList | Array.<any> | array of Nodes or HTMLElements

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### (static) unique() → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 364

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

### Type Definitions

#### itemHandler(node, index, context, p)

Source:
  - dictionary.d.js, line 417

##### Parameters:

Name | Type | Description
--- | --- | ---
`node` | Node |
`index` | number |
`context` | ExtensionsPrototype.slDOMSet |
`p` | ExtensionsPrototype.slDOM |

#### itemHandlerFilter(node, index, context, p) → {boolean}

Source:
  - dictionary.d.js, line 425

##### Parameters:

Name | Type | Description
--- | --- | ---
`node` | Node |
`index` | number |
`context` | ExtensionsPrototype.slDOMSet |
`p` | ExtensionsPrototype.slDOM |

##### Returns:

Type
  boolean

#### itemHandlerMap(node, index, context, p) → {Node}

Source:
  - dictionary.d.js, line 434

##### Parameters:

Name | Type | Description
--- | --- | ---
`node` | Node |
`index` | number |
`context` | ExtensionsPrototype.slDOMSet |
`p` | ExtensionsPrototype.slDOM |

##### Returns:

Type
  Node